org.apache.ignite.compute.gridify.aop.aspectj

## Class GridifySetToSetAspectJAspect

- java.lang.Object
- - org.apache.ignite.compute.gridify.aop.GridifySetToSetAbstractAspect
  - - org.apache.ignite.compute.gridify.aop.aspectj.GridifySetToSetAspectJAspect

-     public class GridifySetToSetAspectJAspect
      extends GridifySetToSetAbstractAspect

  AspectJ aspect that cross-cuts on all methods grid-enabled with `GridifySetToSet` annotation and potentially executes them on remote node.

  See `GridifySetToSet` documentation for more information about execution of `gridified` methods.

  See Also:
    `GridifySetToSet`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridifySetToSetAspectJAspect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `gridify(org.aspectj.lang.ProceedingJoinPoint joinPnt)` Aspect implementation which executes grid-enabled methods on remote nodes.

    - ### Methods inherited from class org.apache.ignite.compute.gridify.aop.GridifySetToSetAbstractAspect

      `checkIsSplitToJobsAllowed, checkMethodSignature, execute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GridifySetToSetAspectJAspect

          public GridifySetToSetAspectJAspect()

  - ### Method Detail

    - #### gridify

          public Object gridify(org.aspectj.lang.ProceedingJoinPoint joinPnt)
                         throws Throwable

      Aspect implementation which executes grid-enabled methods on remote nodes.
      Parameters:
        `joinPnt` - Join point provided by AspectJ AOP.
      Returns:
        Method execution result.
      Throws:
        `Throwable` - If execution failed.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021